BASE64(1)

NAME
base64 - base64 encode/decode data and print to standard output

SYNOPSIS
base64 [OPTION] [FILE]

DESCRIPTION

Base64 encode or decode FILE, or standard input, to standard output.

-w, --wrap=COLS
    Wrap encoded lines after COLS character (default 76). Use 0 to disable line wrapping.

-d, --decode
    Decode data.

-i, --ignore-garbage
    When decoding, ignore non-alphabet characters.

--help
    Display this help and exit.

--version
    Output version information and exit.

With no FILE, or when FILE is -, read standard input.

The data are encoded as described for the base64 alphabet in RFC 3548. Decoding require compliant input by default, use --ignore-garbage to attempt to recover from non-alphabet characters (such as newlines) in the encoded stream.

AUTHOR
Written by Simon Josefsson.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for base64 is maintained as a Texinfo manual. If the info and base64 programs are properly installed at your site, the command

    info base64

should give you access to the complete manual.